#ifndef QAD_APPLICATION_H
#define QAD_APPLICATION_H

#include <QtDesigner/QtDesigner>
#include <QtCore/qplugin.h>

class QADApplication: public QObject, public QDesignerCustomWidgetCollectionInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	explicit QADApplication(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface * > customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface * > m_widgets;

};

#endif // QAD_APPLICATION_H
